Bug 1574483 - katello print a traceback on yum install on a clean env
Summary: katello print a traceback on yum install on a clean env
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: katello-agent
Version: 4.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.4
: ---
Assignee: Sandro Bonazzola
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 12:10 UTC by Sandro Bonazzola
Modified: 2018-06-26 08:41 UTC (History)
2 users (show)

Fixed In Version: katello-host-tools-3.1.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 08:41:13 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+


Attachments (Terms of Use)

Description Sandro Bonazzola 2018-05-03 12:10:59 UTC
katello-agent-2.9.0.1-1.el7.noarch print a traceback with yum install on a clean CentOS 7.5 with following output:

Traceback (most recent call last):
  File "/sbin/katello-package-upload", line 26, in <module>
    main()
  File "/sbin/katello-package-upload", line 23, in main
    package_upload.upload_package_profile()
  File "/usr/lib/yum-plugins/package_upload.py", line 43, in upload_package_profile
    get_manager().profilelib._do_update()
  File "/usr/lib64/python2.7/site-packages/subscription_manager/packageprofilelib.py", line 26, in _do_update
    return action.perform()
  File "/usr/lib64/python2.7/site-packages/subscription_manager/packageprofilelib.py", line 42, in perform
    ret = profile_mgr.update_check(self.uep, consumer_identity.uuid)
  File "/usr/lib64/python2.7/site-packages/subscription_manager/cache.py", line 410, in update_check
    if not uep.supports_resource(PACKAGES_RESOURCE):
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 894, in supports_resource
    self._load_supported_resources()
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 881, in _load_supported_resources
    resources_list = self.conn.request_get("/")
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 690, in request_get
    return self._request("GET", method, headers=headers)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 716, in _request
    info=info, headers=headers)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 558, in _request
    id_cert = certificate.create_from_file(self.cert_file)
  File "/usr/lib64/python2.7/site-packages/rhsm/certificate.py", line 56, in create_from_file
    return _CertFactory().create_from_file(path)
  File "/usr/lib64/python2.7/site-packages/rhsm/certificate2.py", line 73, in create_from_file
    raise CertificateException("Error loading certificate: %s" % err)
rhsm.certificate.CertificateException: Error loading certificate: [Errno 2] No such file or directory: '/etc/pki/consumer/cert.pem'
sed: impossibile leggere /etc/sysconfig/ipmi: File o directory non esistente

Comment 1 Sandro Bonazzola 2018-05-09 14:04:39 UTC
Fix is available in katello-host-tools-3.1.0-2 package, also building katello-agent-3.1.0-2.

Comment 2 Sandro Bonazzola 2018-05-10 15:28:19 UTC
In order to test, add repo: https://buildlogs.centos.org/centos/7/virt/x86_64/ovirt-4.2/

Comment 3 Petr Kubica 2018-05-29 10:52:21 UTC
Verified on CentOS7 with provided repository
version: katello-agent-3.1.0-2.el7.noarch

Comment 4 Sandro Bonazzola 2018-06-26 08:41:13 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.